View Issue Details

IDProjectCategoryView StatusLast Update
0003221Ham Radio DeluxeBugpublic2019-03-31 11:13
ReporterK7ZCZAssigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version6.5.0.197 
Target VersionFixed in Version6.5.0.207 
Summary0003221: FTDX-1200: Rig control's "PC Keying" slider instead changes the radios "CW Wave Shape" setting
DescriptionWhen using an FTDX-1200, Rig Control shows a "PC Keying" slider. This slider is broken -- it controls the "CW Wave Shape" setting on the radio, instead.
Steps To Reproduce1) Open Rig Control and connect to an FTDX-1200 radio
2) Use the "Menu" button on the radio to access the menu settings
3) Use the VFO B dial to scroll to setting 65, which is "CW WAVE SHAPE"

4) Use the "Radio Layout" command in the "View" menu to reach the "Customize Layout" dialog
5) On the "Sliders: Layout" tab, make sure the "065 PC Keying" slider is visible.

6) Exercise the "PC Keying" slider in Rig Control

BUG#1) The radio changes the "CW Wave Shape" setting, instead


TagsFTDX-1200, Yaesu
ModuleRig Control
Sub-ModuleRadio Support
Testing Beta Successful

Activities

K7ZCZ

2019-03-06 11:32

administrator   ~0007600

fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4874

WA9PIE

2019-03-26 14:40

administrator   ~0007753

Validated during tests at HRO - Plano (TX)

On Step 5 on this radio, PC Keying is menu 67.

Issue History

Date Modified Username Field Change
2019-03-04 12:56 K7ZCZ New Issue
2019-03-04 12:58 K7ZCZ Tag Attached: FTDX-1200
2019-03-04 12:58 K7ZCZ Tag Attached: Yaesu
2019-03-06 11:32 K7ZCZ Assigned To => K7ZCZ
2019-03-06 11:32 K7ZCZ Status new => resolved
2019-03-06 11:32 K7ZCZ Resolution open => fixed
2019-03-06 11:32 K7ZCZ Note Added: 0007600
2019-03-06 21:45 K7ZCZ Fixed in Version => 6.5.0.200
2019-03-26 14:40 WA9PIE Status resolved => closed
2019-03-26 14:40 WA9PIE Description Updated View Revisions
2019-03-26 14:40 WA9PIE Steps to Reproduce Updated View Revisions
2019-03-26 14:40 WA9PIE Testing Not Started => Beta Successful
2019-03-26 14:40 WA9PIE Note Added: 0007753
2019-03-31 11:13 WA9PIE Fixed in Version 6.5.0.200 => 6.5.0.207
2019-03-31 11:13 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe